PatternTreeParser::WordNode Struct Reference
Inheritance diagram for PatternTreeParser::WordNode:
[legend]
Collaboration diagram for PatternTreeParser::WordNode:
[legend]

## Public Member Functions

APT_HIDDEN std::ostream & | render (std::ostream &stream) override
Public Member Functions inherited from PatternTreeParser::Node
| Node (size_t start=0, size_t end=0)
std::nullptr_t | error (std::string message)

## Public Attributes

std::string_view | word
bool | quoted = false
Public Attributes inherited from PatternTreeParser::Node
size_t | start = 0
size_t | end = 0

## Member Function Documentation

## render()

std::ostream & render | ( | std::ostream & | stream | ) |

override virtual

Reimplemented from PatternTreeParser::Node.

The documentation for this struct was generated from the following files:

- apt-pkg/cachefilter-patterns.h
- apt-pkg/cachefilter-patterns.cc